var d8018d6852bc49e3b3e655364cf1439c = {
  toggle: function (expandable) {
    var expParent = expandable.parentNode;
    var img = expParent.querySelector("img");
    if (img !== null) {
      if (img.addEventListener) {
        img.addEventListener("click", function (event) {
          event.stopPropagation();
        });
      } else {
        img.attachEvent("onclick", function (event) {
          event.cancelBubble = false;
        });
      }
    }
    var target = expParent.querySelector(".content");
    if (target !== null) {
      if (target.addEventListener) {
        target.addEventListener("click", function (event) {
          event.stopPropagation();
        });
      } else {
        target.attachEvent("onclick", function (event) {
          event.cancelBubble = false;
        });
      }
    }
    var arrow = expParent.querySelector("span.arrow");
    if (arrow !== null) {
      if (target.style.display == "block") {
        target.style.display = "none";
        arrow.innerHTML = "\u25BA";
      } else {
        target.style.display = "block";
        arrow.innerHTML = "\u25BC";
      }
    }
  },
  showAtLink: function (ele) {
    if (ele.nextSibling.style.display == "block") {
      ele.nextSibling.style.display = "none";
    } else {
      ele.nextSibling.style.display = "block";
    }
  },
  toggleImg: function (ele) {
    if (ele.style.maxHeight == "none") {
      ele.style.maxHeight = "4em";
    } else {
      ele.style.maxHeight = "none";
    }
  },
};

document.addEventListener("DOMContentLoaded", () => {
  // 高亮当前词性
  const chwds = document.querySelectorAll(".chwd");

  chwds.forEach((e, i) => {
    const posList = e.querySelectorAll("a");
    posList[i].classList.add("active");
  });

  // 替换音标中不美观的字符
  // const pronChars = {};
  // const replaceChars = (src) => {
  //   for (const i in pronChars) {
  //     src = src.replace(i, pronChars[i]);
  //   }

  //   return src;
  // };
  // const prons = document.querySelectorAll("span.pron");
  // prons.forEach((e) => {
  //   e.innerHTML = replaceChars(e.innerHTML);
  // });
});
